org.eclipse.emf.cdo.util

## Class DataIntegrityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.DataIntegrityException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CommitIntegrityException, DanglingIntegrityException, ReferentialIntegrityException, UnitIntegrityException, ValidationException

      public class DataIntegrityException
      extends CommitException

  A `commit exception` that indicates data integrity problems.

  Subtypes of this exception allow to determine a more specific reason for the problem. They all have in common that it's usually not adequate to `rollback` the transaction, replay the model modifications and commit the transaction again.

  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataIntegrityException()`
    `DataIntegrityException(java.lang.String message)`
    `DataIntegrityException(java.lang.String message, java.lang.Throwable cause)`
    `DataIntegrityException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `isLocal, wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataIntegrityException

          public DataIntegrityException()

    - #### DataIntegrityException

          public DataIntegrityException(java.lang.String message,
                                        java.lang.Throwable cause)

    - #### DataIntegrityException

          public DataIntegrityException(java.lang.String message)

    - #### DataIntegrityException

          public DataIntegrityException(java.lang.Throwable cause)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html